package com.ruoyi.manage.service;

import java.util.List;
import com.ruoyi.manage.domain.RecordWasteOut;

/**
 * 废品处理出库Service接口
 * 
 * @author wangh
 * @date 2024-02-21
 */
public interface IRecordWasteOutService 
{
    /**
     * 查询废品处理出库
     * 
     * @param objid 废品处理出库主键
     * @return 废品处理出库
     */
    public RecordWasteOut selectRecordWasteOutByObjid(Long objid);

    /**
     * 查询废品处理出库列表
     * 
     * @param recordWasteOut 废品处理出库
     * @return 废品处理出库集合
     */
    public List<RecordWasteOut> selectRecordWasteOutList(RecordWasteOut recordWasteOut);

    /**
     * 新增废品处理出库
     * 
     * @param recordWasteOut 废品处理出库
     * @return 结果
     */
    public int insertRecordWasteOut(RecordWasteOut recordWasteOut);

    /**
     * 修改废品处理出库
     * 
     * @param recordWasteOut 废品处理出库
     * @return 结果
     */
    public int updateRecordWasteOut(RecordWasteOut recordWasteOut);

    /**
     * 批量删除废品处理出库
     * 
     * @param objids 需要删除的废品处理出库主键集合
     * @return 结果
     */
    public int deleteRecordWasteOutByObjids(String objids);

    /**
     * 删除废品处理出库信息
     * 
     * @param objid 废品处理出库主键
     * @return 结果
     */
    public int deleteRecordWasteOutByObjid(Long objid);
}
